Aller au contenu
Twexapi
Français
Esc
naviguerouvrir⌘Japerçu

Obtenir les médias de DM

Obtenir les médias de DM.

POST/v3/twitter/dm-media
Autorisation API
AuthorizationBearer token · headerrequis
Jeton Bearer global pour TwexAPI. Inclus sous la forme : Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Corps de la requête
requisapplication/json
conversation_idstringrequis
Conversation id from /v3/twitter/dm-history
media_hash_keystringrequis
Attachment media_hash_key from dm-history
key_versionstring | any
Optional message key_version from dm-history (recommended).
Afficher les propriétés
Any of:
string
string
any
any
type_namestring | any
Optional IMAGE/VIDEO/GIF hint
Afficher les propriétés
Any of:
string
string
any
any
filenamestring | any
Optional filename hint
Afficher les propriétés
Any of:
string
string
any
any
pinstring | any
Identity PIN (default 1234).
default: "1234"
Afficher les propriétés
Any of:
string
string
any
any
cookiestringrequis
Identifiants de session ou auth_token autorisés de l'utilisateur (BYOC — Bring Your Own Cookie). Exécution proxy sans état avec zéro rétention d'identifiants. Consultez [Sécurité et Authentification](/fr/authentication#write-operations--byoc-bring-your-own-cookie) et [Comment obtenir un Cookie](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie).
proxystring | any
Optional HTTP proxy. Example: http://username:password@ip:port
Afficher les propriétés
Any of:
string
string
any
any
Réponses
200Playable media URL and metadata.
codeintegerrequis
Code d'état HTTP (200 indique le succès)
msgstringrequis
Message de réponse (ex. 'success')
dataGetDmMediaV3Data | any
Données principales renvoyées par l'API
Afficher les propriétés
Any of:
GetDmMediaV3Data
urlstringrequis
Playable media URL
pathstringrequis
Media path on this API
content_typestringrequis
MIME type
filenamestring | any
Suggested filename
Afficher les propriétés
Any of:
string
string
any
any
byte_lengthintegerrequis
File size in bytes
cachedbooleanrequis
Whether the media was already available
any
any
422Erreur de validation des paramètres
detailValidationError[]
Afficher les propriétés
Array of ValidationError
locstring | integer[]requis
Afficher les propriétés
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequis
Message de réponse (ex. 'success')
typestringrequis
inputany
ctxobject
Console interactivePOST
Console interactive / Tester l'APIPOST
Live Console
🌐Serveur cible :https://api.twexapi.io
● Prêt pour la production
✍️
Guide d'identification d'écriture (Clé TwexAPI + Cookie Twitter)

1. Clé TwexAPI (Bearer Token) : À renseigner sous "Autorisation API" ci-dessous pour la facturation et l'authentification.

2. Cookie Twitter : Pour les opérations d'écriture (tweet, like, etc.), renseignez le Cookie Twitter (ex : auth_token=...; ct0=...) dans le champ cookie ci-dessous.

🔑Autorisation API
📝Corps de la requêteapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

Requête
curl -X POST "https://api.twexapi.io/v3/twitter/dm-media" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "conversation_id": "1928096185664843776:1989842918455291904",
  "media_hash_key": "blRIlZCVIO",
  "key_version": "3",
  "type_name": "VIDEO",
  "filename": "clip.mp4",
  "pin": "1234",
  "cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
  "proxy": "http://username:password@ip:port"
}'
Réponse
{
  "code": 200,
  "msg": "success",
  "data": {
    "url": "string",
    "path": "string",
    "content_type": "video/mp4",
    "filename": "string",
    "byte_length": 0,
    "cached": true
  }
}